---

- name: install ddclient
  ansible.builtin.apt:
    name: ddclient
    state: present

- name: copy configuration file
  template:
    src: 'templates/etc/ddclient.conf.j2'
    dest: "/etc/ddclient.conf"

- name: restart ddclient
  ansible.builtin.systemd_service:
    name: ddclient
    state: restarted
    enabled: true